Package picard.illumina.parser

## Class MultiTileFileUtil<OUTPUT_RECORD extends picard.illumina.parser.IlluminaData>

- java.lang.Object
- - picard.illumina.parser.ParameterizedFileUtil
  - - picard.illumina.parser.MultiTileFileUtil<OUTPUT_RECORD>

-     public abstract class MultiTileFileUtil<OUTPUT_RECORD extends picard.illumina.parser.IlluminaData>
      extends ParameterizedFileUtil

  For file types for which there is one file per lane, with fixed record size, and all the tiles in it, so the s_<lane>.bci file can be used to figure out where each tile starts and ends.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected File` | `bci` |
    `protected File` | `dataFile` |
    `protected TileIndex` | `tileIndex` |

    - ### Fields inherited from class picard.illumina.parser.ParameterizedFileUtil

      `base, DefaultSkipEmptyFiles, extension, faker, lane, matchPattern, PER_TILE_PATTERN_STRING, skipEmptyFiles, tiles`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `fakeFiles​(List<Integer> expectedTiles, int[] expectedCycles, IlluminaFileUtil.SupportedIlluminaFormat format)` | Given the expected tiles/expected cycles for this file type create a set of fake files such that the verification criteria are met.
    `boolean` | `filesAvailable()` | Determine whether or not files are available
    `List<Integer>` | `getTiles()` | Return a list of all tiles available for this file format and run
    `List<String>` | `verify​(List<Integer> expectedTiles, int[] expectedCycles)` | expectedCycles are not checked in this implementation.

    - ### Methods inherited from class picard.illumina.parser.ParameterizedFileUtil

      `checkTileCount, escapePeriods, fileToTile, getRunFile, getTiledFiles, makeBarcodeRegex, makeLaneTileRegex, setTiles, setTilesForPerRunFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bci

          protected final File bci

    - #### tileIndex

          protected TileIndex tileIndex

    - #### dataFile

          protected File dataFile

  - ### Method Detail

    - #### filesAvailable

          public boolean filesAvailable()

      Description copied from class: `ParameterizedFileUtil`
      Determine whether or not files are available
      Specified by:
        `filesAvailable` in class `ParameterizedFileUtil`
      Returns:
        return true if files are found matching this types pattern, false otherwise

    - #### getTiles

          public List<Integer> getTiles()

      Description copied from class: `ParameterizedFileUtil`
      Return a list of all tiles available for this file format and run
      Overrides:
        `getTiles` in class `ParameterizedFileUtil`
      Returns:
        A List of tile integers

    - #### verify

          public List<String> verify​(List<Integer> expectedTiles,
                                     int[] expectedCycles)

      expectedCycles are not checked in this implementation.
      Specified by:
        `verify` in class `ParameterizedFileUtil`
      Parameters:
        `expectedTiles` - An ordered list of tile numbers
        `expectedCycles` - An ordered list of cycle numbers that may contain gaps
      Returns:
        A list of error messages for this format

    - #### fakeFiles

          public List<String> fakeFiles​(List<Integer> expectedTiles,
                                        int[] expectedCycles,
                                        IlluminaFileUtil.SupportedIlluminaFormat format)

      Description copied from class: `ParameterizedFileUtil`
      Given the expected tiles/expected cycles for this file type create a set of fake files such that the verification criteria are met.
      Specified by:
        `fakeFiles` in class `ParameterizedFileUtil`
      Parameters:
        `expectedTiles` - An ordered list of tile numbers
        `expectedCycles` - An ordered list of cycle numbers that may contain gaps
        `format` - The format of the files that are to be faked
      Returns:
        A list of error messages for this format